## Class preforked_server

zeep::http::preforked_server

## Synopsis

    // In header: <zeep/http/preforked-server.hpp>

    class preforked_server {
    public:
      // construct/copy/destruct
      (preforked_server &) = ;
      (basic_server *();
      preforked_server & (preforked_server &) = ;
      ~();

      // public member functions
       (, , , );
       ();
       ();
    };

## Description

### `preforked_server` public construct/copy/destruct

1.     (preforked_server &) = ;

2.     (basic_server *( server_factory);

   constructor

   The constructor takes one argument, a function object that creates a server class instance.

3.     preforked_server & (preforked_server &) = ;

4.     ~();

### `preforked_server` public member functions

1.     ( address,  port,  nr_of_child_processes,
            nr_of_threads);

   forks nr_of_child_processes children and starts listening, should be a separate thread

2.      ();

   signal the thread it can start listening:

3.      ();

   stop the running thread